Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001327TestLinkTest Plan (builds, milestones, test assign)public2008-01-25 04:422008-11-07 19:46
Reporternogem 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 final 
Fixed in Version1.8 Beta 1 
Summary0001327: Option to create new copies of test cases when creating a new test plan based on an existing one
DescriptionI recently created a new test plan and chose to base it on an existing plan due to functional similarities. However similar, the new plan's test cases would need minor tweaking to make them accurate for the new target.

The test case id's wound up being identical to the original test plan's test cases. This means I cannot tweak them for the new plan without manually creating new copies first or the old plan will be broken.

Create from existing Test Plan? - line could use an option to create new copies of contained test cases/suites for the new plan being created.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserN/A
PHP Version5.2.4.4
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003055)
fman (administrator)
2008-01-25 05:25

solved with user contribution.
When creating testplan as copy you can choose what elements to copy.
Please get code from CVS if you want to see how feature works

- Issue History
Date Modified Username Field Change
2008-01-25 04:42 nogem New Issue
2008-01-25 04:42 nogem Browser => N/A
2008-01-25 04:42 nogem PHP Version => 5.2.4.4
2008-01-25 05:24 fman Status new => assigned
2008-01-25 05:24 fman Assigned To => fman
2008-01-25 05:25 fman Status assigned => resolved
2008-01-25 05:25 fman Fixed in Version => next development version (1.8 Beta1)
2008-01-25 05:25 fman Resolution open => fixed
2008-01-25 05:25 fman Note Added: 0003055
2008-06-03 16:48 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:46 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker